//
//  ViewController.m
//  ZKPopView
//
//  Created by QingLv on 2017/3/24.
//  Copyright © 2017年 QingLv. All rights reserved.
//

#import "ViewController.h"
#import "ZKPopView.h"

@interface ViewController ()
{
    UILabel  *_tittleLb;
}

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];

    UILabel *titleLB = [UILabel new];
    titleLB.text = @"显示标题";
    titleLB.textAlignment = NSTextAlignmentCenter;
    titleLB.frame = CGRectMake(50, 100, [UIScreen mainScreen].bounds.size.width - 100, 50);
    [self.view addSubview:titleLB];
    titleLB.backgroundColor = [UIColor lightGrayColor];
    _tittleLb = titleLB;
    
    UIButton *button = [UIButton buttonWithType:UIButtonTypeCustom];
    [button setTitle:@"弹        出" forState:UIControlStateNormal];
    button.frame = CGRectMake(50, 300, [UIScreen mainScreen].bounds.size.width - 100, 100);
    [self.view addSubview:button];
    button.backgroundColor = [UIColor blueColor];
    [button addTarget:self action:@selector(buttonClick:) forControlEvents:UIControlEventTouchUpInside];
}


#pragma mark - 点击事件
- (void)buttonClick:(UIButton *)button
{
    NSArray *array = @[
                       @"1",
                       @"4398",
                       @"3",
                       @"2",
                       @"6",
                       ];
    ZKPopView *popView = [ZKPopView new];
    popView.title = @"时间";                             // 弹出界面---标题
    popView.selectTittle = _tittleLb.text;              // 默认选中的标题，没有的话，默认是数组的第一个
    popView.popArray  = array;                          // 弹出界面的数组
    // 2：block 实现
    popView.passValue = ^(NSString *string){            // 传值
        _tittleLb.text = string;
    };
    [self.view addSubview:popView];
}

@end
